

body {
    background-color: #0b1315;
    color: #ecfeff;
    font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-style: oblique;
    font-size: large;
    overflow: hidden; /*prevents scrolling*/
}

html {
  scrollbar-width: thin;          /* Options: auto | thin | none */
  scrollbar-color: #2D525A transparent; /* thumb_color track_color */
  scroll-behavior: smooth;
}

.left-body{
    width: 40%; /* how much of the screen it takes */
    background-color: transparent;
    padding: 20px; /* padding around the content */
    box-sizing: border-box; /* makes sure the padding is included in the width */
    /*overflow-y: auto; /* allows vertical scrolling if content overflows*/
    overflow: hidden; /*prevents scrolling*/
    height: 100vh;
    position: sticky;
    top: 0;
}

.right-body{
    width: 60%; /* how much of the screen it takes */
    background-color: transparent;
    padding: 20px; /* padding around the content */
    box-sizing: border-box; /* makes sure the padding is included in the width */
    overflow-y: auto; /*allows vertical scrolling if content overflows*/
    overflow-x: hidden;
    position: sticky;
    padding-bottom: 100px;
    margin-bottom: 100px;
}

.wrapper{
    display: flex;
    /*flex-direction: row; /* aligns boxes horizontally */
    height: 100vh; /* full viewport height */
    /*min-height: 100vw;  full viewport width */
}

#projects {
  /* Match this to the height of whatever header/navbar is blocking it */
  scroll-margin-top: 20px; 
}

.nav-bar{
    align-items: flex-start; /* centers items vertically */
    background-color: transparent;
    margin-bottom: 50px;
    margin-left: -50px;
    position: sticky;
}

.nav-links{
    display: flex;
    list-style: none; /* removes bullet points */
}

.nav-links a:hover{
    color: #06B6D4;
}

.nav-links li{
    padding: 0 20px; /* space between links */
}

.nav-links a{
    color:#ecfeff;
    text-decoration: none;
}

.clickable-card{
    display: block; /* makes card clickable */
    text-decoration: none; /* removes underline from links */
    color: white; /* text color */
    background-color: transparent; /* card background color */
    border: 2px solid transparent; /* card border */
    transition: border 0.3s; /*smooth transistion when hovering*/
    transition: background 0.3s;
    border-radius: 8px; /*rounds corners from a radius of 8px*/
    flex-direction: column;
    align-items: flex-start;
    padding: 20px;
}

.clickable-card:hover{
    border: 2px solid #132226;
    background-color: #132226;
}

.clickable-card h3{
    font-size: 1.5rem;
    margin: 0 0 10 px;
}

.clickable-card p{
    font-size: 1rem;
    margin: 0 0 10px 0;
}

.clickable-card ul{
    display: flex;
    gap: 10px; /*space between items*/
    list-style: none; /*no bullets*/
    padding: 0; /*space inside */
    margin: 0; /*space outside */
}

.clickable-card li{
    font-size: 0.9rem;
    margin: 0;
    background-color: #2D525A;
    padding: 5px;
    border-radius: 8px;
}

.skill-list{
    display: flex;
    gap: 10px; /*space between items*/
    list-style: none; /*no bullets*/
    padding: 0; /*space inside */
    margin: 0; /*space outside */
    flex-wrap: wrap;
}

.skill-list li{
    font-size: 0.9rem;
    margin: 0;
    background-color: #2D525A;
    padding: 5px;
    border-radius: 8px;
}

.nameHeader{
    font-size: 50px;
}

#mouse-effect{
    position:fixed;
    top: 0;
    left: 0;
    width: 1500px;
    height: 1500px;
    transform: translate(-50%, -50%); /*centers effect on tip of mouse*/
    pointer-events: none; /*stops the effect from blocking interaction*/
    background: radial-gradient(circle, #304A50 0%, #0b1315 70%);
    border-radius: 50%;
    transition: transform 0.1s ease-out;
    z-index: -1;
}

/* Target single-line inputs */
input[type="text"] {
  /* Box properties */
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  box-sizing: border-box; /* Includes padding in width */

  /* Borders & Corners */
  border: 2px solid #2D525A;
  border-radius: 4px;

  /* Typography */
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  font-size: large;
  color: #ecfeff;

  /* Background */
  background-color: transparent;
}

input[type="text"]:focus {
  border-color: #06B6D4; /* Green border */
  outline: none; /* Removes default browser outline */
  background-color: transparent;
}

@media screen and (max-width: 800px){
    .wrapper{
        display: block;  /*switched to vertical at 768px width */
        width: 100%;
        max-width: 100%;
        overflow-x: hidden;
    }
    html, body{
        width: 100%;
        max-width: 100%;
        overflow-x: hidden;
        /* max-width: 100%; */
    }
    .left-body, .right-body{
        width: 100%;
        height: auto;
        position: static;
        overflow: visible;
    }

    /* .nav-bar {
        margin-bottom: 30px;
        font-size: xx-small;
        flex-wrap: wrap;
    } */
    .nav-links{
        display: flex;
        flex-wrap: wrap;
        gap: 4px;
        font-size: medium;
        justify-content: flex-start;
        padding-left: 0;
        margin-left: 0;
    }
    .nav-links li {
        padding: 0 20px;
    }

    .nav-links .divider {
        padding: 0 2px;
    }

    .nav-bar {
        margin-left: 0;
        /* position: fixed;
        margin-bottom: 10px; */
    }

    
}

.shelf{
    display: flex;
    /* gap: 20px; */
    flex-wrap: wrap;
    min-height: 100vh;
    width: 100%;
    align-content: flex-start; /* fixes the huge vertical gap */
    
    background: linear-gradient(to bottom, transparent 42vh, #3E291D 42vh, #7A5A44 50vh);
    background-size: 100% 50vh; 
    row-gap: 8vh;
    padding: 40px;
}

.book{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    overflow: hidden;
    min-width: 0;
    flex-wrap: nowrap;
    white-space: nowrap;

    color: var(--text-color);
    width: 50px;
    height: var(--book-height);
    background: linear-gradient(
        to right,
        color-mix(in srgb, var(--book-color) 85%, white),
        var(--book-color),
        color-mix(in srgb, var(--book-color) 80%, black)
    );
    border: 5px solid var(--border-color);
    transition: 0.2s;
    border-radius: 10%;
    transform: translateY(var(--height-diff));
}

.book h3 {
    margin: 0;
    display: inline-block; /* Required if your element is natively inline */
    transform: rotate(90deg); /* 90deg turns clockwise, -90deg turns counter-clockwise */
    transform-origin: center; /* Changes the pivot point of the spin */
}

.book:hover{
    transform: translateY(calc(var(--height-diff) + -3vh));
    overflow: visible;
    z-index:9909;
}

/* .popup-box.active{
    display: block;
} */

.popup-box {
  display: none;
  position: fixed;
  
  top:25%;
  left:25%;
  right: 0;
  bottom: 0;
  margin: auto;
  /* margin-left: 10px; */
  
  /* --- Set your custom larger sizing here --- */
  width: 30vw;         /* Forces the box to be 300px wide */
  height: 30vh;
  min-height: 150px;   /* Ensures a minimum height, but allows growth if text overflows */
  
  background-color: tan;
  border: 10px solid var(--book-color);
  /* border: 10px solid var(--book-color); */
  padding: 15px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
  z-index: 99999;

  white-space: normal;

  pointer-events: none;
}



